﻿# -*- coding: utf-8 -*-
# 2次元変数の緯度経度固定Ls固定のローカルタイム
# 確認用に sens と eta から dda を計算し, 元のdda と一緒に重ね書きする
#
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
include NumRu

dir = '../../dcpam_M_dust_T21L36_const_0.3_20140630_AverageSP_37-48_MPI'
dir2 = '../../dcpam_M_dust_T21L36_const_0.3_20140630_ZonalMean_37-48_MPI'
dir3 = '../../dcpam_M_dust_T21L36_const_0.3_20140630_OnlyTop_37-48_MPI'
vnames = ['DDAF_d']
figdir = 'figs'
#Dir::mkdir( figdir )
#lat = [-25]
#ls = [270]
lat = [-25,25]
lon = [0]
ls = [270,90]

days = 5


iyrs = 11
iyre = 20
#iyrs = 1
iyrs = 4
iyre = 4
#iyrs = 1
#iyre = 1
#iyrs = 2
#iyre = 2

non_observation_switch = true # true の場合 dir3 の結果を書かない

p vnames.length-1
for ivar in 0..(vnames.length-1)
    
  for lat_num in 0..(lat.length-1)
    for ls_num in 0..(ls.length-1)
      for lon_num in 0..(lon.length-1)
        p 'vname: ' + vnames[ivar]
        p 'lat: ' + lat[lat_num].to_s
        p 'ls: ' + ls[ls_num].to_s
        p 'lon: ' + lon[lon_num].to_s

        system('ruby draw_2D_fit_lat_localtime_dda.rb ' + dir + ' '  + dir2 + ' ' + dir3 + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + lat[lat_num].to_s + ' ' + lon[lon_num].to_s + ' ' + ls[ls_num].to_s + ' ' + days.to_s + ' ' + non_observation_switch.to_s)
        system("pdf2ps dcl.pdf dcl.ps")
        system("rm dcl.pdf")

        system("dclpsrmcm dcl.ps | dclpsrot | dclpsmargin > kari")
        system("mv kari dcl.ps")

        #system("pstoimg -type gif -flip r270 dcl.ps")
        system("convert dcl.gif -trim dcl.gif")
        system("pstoimg -type gif dcl.ps")
        system("convert dcl.gif -trim dcl.gif")
        com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+'_fit_lat' + lat[lat_num].to_s + '_lon' + lon[lon_num].to_s + 'ls' + ls[ls_num].to_s+'localtime_val-t.gif' )
        system(com)
        com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+'_fit_lat'+ lat[lat_num].to_s + '_lon' + lon[lon_num].to_s + 'ls' + ls[ls_num].to_s + 'localtime_val-t.ps'  )
        system(com)
      end
    end
  end
end
