﻿# -*- coding: utf-8 -*-
# 2次元変数の緯度経度固定Ls固定のローカルタイムを対数化する
# そうすることで掛け合わせの相関を見てみる
# 更にsens eta dda を重ね書きする

$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
include NumRu

dir = '../../dcpam_M_dust_T21L36_const_0.3_20140630_AverageSP_37-48_MPI'
dir2 = '../../dcpam_M_dust_T21L36_const_0.3_20140630_ZonalMean_37-48_MPI'
dir3 = '../../dcpam_M_dust_T21L36_const_0.3_20140630_OnlyTop_37-48_MPI'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','SurfMajCompIce','DDAF_d','DTHF_d','Sens','SurfDustGravSedFlux','Press_top','Eta','Ps', 'Tau']
#vnames = ['DDAF_d','SensB','Eta']
vnames = ['DDAF_d']
#vnames = ['SurfTemp']
#vnames = ['Temp']
#vnames = ['Press_top']
#vnames = ['k_top']
#vnames = ['Ps']
#vnames = ['SurfTemp']
#vnames = ['SurfWind']
#vnames = ['Ps', 'Tau', 'SurfTemp'] 
#vnames = ['KMHF_d', 'NewmanF_d']
figdir = 'figs'
#Dir::mkdir( figdir )
#lat = [-25]
#ls = [270]
lat = [-25,25]
lon = [0]
ls = [270,90]

days = 5


iyrs = 11
iyre = 20
#iyrs = 1
iyrs = 4
iyre = 4
#iyrs = 1
#iyre = 1
#iyrs = 2
#iyre = 2

p vnames.length-1

var = 0
for lat_num in 0..(lat.length-1)
  for ls_num in 0..(ls.length-1)
    for lon_num in 0..(lon.length-1)
      for ivar in 0..(vnames.length-1)
        p 'vname: ' + vnames[ivar]
        p 'lat: ' + lat[lat_num].to_s
        p 'ls: ' + ls[ls_num].to_s
        p 'lon: ' + lon[lon_num].to_s

        system('ruby draw_2D_fit_lat_localtime_log_overwrite.rb ' + dir + ' '  + dir2 + ' ' + dir3 + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + lat[lat_num].to_s + ' ' + lon[lon_num].to_s + ' ' + ls[ls_num].to_s + ' ' + days.to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

        system("dclpsrmcm dcl.ps | dclpsrot | dclpsmargin > kari")
        system("mv kari dcl.ps")

        #system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
        system("pstoimg -type gif dcl.ps")
system("convert dcl.gif -trim dcl.gif")
        com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+ var.to_s+"_"+vnames[ivar]+'_fit_lat' + lat[lat_num].to_s + '_lon' + lon[lon_num].to_s + 'ls' + ls[ls_num].to_s+'localtime_log_overwrite.gif' )
        system(com)
        com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+ var.to_s+"_"+vnames[ivar]+'_fit_lat'+ lat[lat_num].to_s + '_lon' + lon[lon_num].to_s + 'ls' + ls[ls_num].to_s + 'localtime_log_overwrite.ps'  )
        system(com)
      end
    end
  end
  var += 1
end
