﻿# -*- coding: utf-8 -*-
#
# ls, level 固定での緯度経度図
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
require "gphys_time"
include NumRu

dir = '../util_s2p-2014-06-20/out'
#dir = '..'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
#vnames = ['Temp','U','Geopotential','V']
vnames = ['Geopotential','V']
figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 11
iyre = 20
#iyrs = 1
iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1
ls = [0, 90, 180, 210, 270]
#ls = [210]
#alt = [400]
alt = [0]
p vnames.length-1
for ivar in 0..(vnames.length-1)
  p 'vname: ' + vnames[ivar]
  dcpam_SurfMaj('..',iyrs,iyre)
  if vnames[ivar] == 'MSF'
    gphysfile = NetCDF.open( dir+'/V.nc', mode="r")
    gphys = GPhys::NetCDF_IO.open(gphysfile, "V")
  elsif vnames[ivar] == 'ANGMOM'
    gphysfile = NetCDF.open( dir+'/U.nc', mode='r' )
    gphys = GPhys::IO.open( gphysfile, "U")
  else
    gphysfile = NetCDF.open( dir+'/'+vnames[ivar]+'.nc',mode = 'r' )
    gphys = GPhys::IO.open( gphysfile, vnames[ivar])
  end
  dcpam_ls('..',iyrs,iyre,gphysfile, gphys)
  for altnum in 0..alt.size-1
    for lsnum in 0..ls.size-1#7..12#1..6#6..12#1..6#
    
      p 'Ls: ' + ls[lsnum].to_s

      system('ruby draw_3D_xyls.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + ls[lsnum].to_s + ' '+ alt[altnum].to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

      system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
      com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_"+alt[altnum].to_s+'_'+"xyls%0#{4}d.gif", ls[lsnum] )
      system(com)
      com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+alt[altnum].to_s+'_'+"xyls%0#{4}d.ps" , ls[lsnum] )
      system(com)
    end
  end
end

#if File.exists?('./sagyou.nc') then
#  File.delete('./sagyou.nc')
#end
#if File.exists?('./sagyou2.nc') then
#  File.delete('./sagyou2.nc')
#end
