# -*- coding: utf-8 -*-
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "gphys_time"
require "numru/ggraph"
require "gphys_draw"
include NumRu


dir = ARGV[0].to_s
vname = ARGV[1].to_s
iyrs = ARGV[2].to_i
iyre = ARGV[3].to_i
lat = ARGV[4].to_f
lon = ARGV[5].to_f
imon = ARGV[6].to_i
divs = ARGV[7].to_i
dive = ARGV[8].to_i
#lt = [1,2,3,4,5,6,7,8,9,10,11,12]#見たい月
#lt = [8]
lt = []

ARGV[9].split("_").each do |mon|
  lt << mon.to_i
end

divid = [divs, dive]



divhours = time_dis(iyrs, iyre, divid, lt)
gphys = GPhys::IO.open(dir + '/' + vname+'.nc', vname)
#for hour in 1..(divhours[imon].length - 1) 
  gphyscut = dcpam_time_2D(divhours[imon][1], divhours[imon][2], lat, lon, gphys)
#end

#< DCLのオープンと設定 >
DCL.gropn(2)
#DCL.grfrm
#DCL.sldiv('y',2,2)           # 2x2に画面分割, 'y'=yoko: 左上→右上→左下...
DCL.sgpset('lcntl', false)   # 制御文字を解釈しない
#DCL.sgpset('lfull',true)     # 全画面表示
DCL.uzfact(0.75)             # 座標軸の文字列サイズを 0.75 倍
DCL.sgpset('lfprop',true)    # プロポーショナルフォントを使う
#DCL::grswnd(0,24,'','')
#DCL::uxaxdv('R',1,5)
#DCL::uzlset('LABELYR',true)
if vname =='V_tang'
  rmiss = gphys.get_att('missing_value')[0]
  DCL.glpset('lmiss',true)
  DCL.glpset('rmiss',rmiss)
elsif vname == 'k_top'
  # k_topは層番号なので層の厚さに変換する
  heat = GPhys::IO.open("../HeatFlux.nc","HeatFlux")
  heatcut = dcpam_time_1D(divhours[imon][1], divhours[imon][2], lon, heat)
  grid = Grid.new(gphyscut.axis("time"))
  narray = NArray.sfloat(gphyscut.coord(-1).shape[0])
  for i in 0..narray.shape[0]-1
    narray[i] = heatcut.coord("sigm").val[gphyscut[i].val[0].to_i]
  end
  varray = VArray.new(narray,nil,"top sigma")
  gphyscut = GPhys.new(grid, varray)
  GGraph.set_fig("yreverse"=>true)
end

#DCL::usspnt(time, timenum)
#DCL::uspfit
#DCL::grstrf
#DCL::ussttl('Time','hour','dust devil lifting rate', 'kg m-2 s-1') 
#DCL::usdaxs
#DCL::uulin(time[0..-1],timenum[0..-1])
#DCL.usgrph(time[0..-1],timenum[0..-1])
p gphyscut.shape
GGraph.line(gphyscut)
DCL::grcls
