﻿# -*- coding: utf-8 -*-
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
require "gpys_time"
#require "gphys_time_20130120"
include NumRu

dir = '..'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','Tau', 'SurfMajCompIce']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
vnames = ['SurfWind']
#vnames = ['SurfMajCompIce']
#vnames = ['Ps']
figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 11
iyre = 20
#iyrs = 1
iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1

ls = [0, 90, 180, 270]

p vnames.length-1
for ivar in 0..(vnames.length-1)
  p 'vname: ' + vnames[ivar]
  dcpam_SurfMaj(dir,iyrs,iyre)
  gphysfile = NetCDF.open( dir +'/'+vnames[ivar]+'.nc',mode='r')
  gphys = GPhys::IO.open( gphysfile, vnames[ivar])
  #dcpam_ls(dir,iyrs,iyre,gphysfile,gphys)
  dcpam_ls(dir,iyrs,iyre,gphys)
  for lsnum in 0..ls.size-1#7..12#1..6#6..12#1..6#
    
    p 'Ls: ' + ls[lsnum].to_s

    system('ruby draw_2D_xyls.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + ls[lsnum].to_s )
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

    system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
    com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_"+"xyls%0#{4}d.gif", ls[lsnum] )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+"xyls%0#{4}d.ps" , ls[lsnum] )
    system(com)
  end
end

if File.exists?('./sagyou.nc') then
  File.delete('./sagyou.nc')
end
if File.exists?('./sagyou2.nc') then
  File.delete('./sagyou2.nc')
end
