﻿# -*- coding: utf-8 -*-
# 東西平均した緯度-Ls (季節変動)の図を書く
# 2014/10/16 Kahre et al 2006 に合わせて カラーコンターで書くこともできるようにする
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
include NumRu

dir = '..'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','SurfMajCompIce','DDAF_d','DTHF_d','Sens','SurfDustGravSedFlux','Press_top','Eta','Ps', 'Tau']
#vnames = ['SurfTemp', 'KMHF_d','SurfMajCompIce','DDAF_d','Sens','SurfDustGravSedFlux','Press_top','Eta','Ps']
#vnames = ['KMHF_d']
vnames = ['KMHF_d','DDAF_d']
#vnames = ['SurfTemp']
#vnames = ['SurfWind']
#vnames = ['Ps', 'Tau', 'SurfTemp'] 
#vnames = ['KMHF_d', 'NewmanF_d']
figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 11
iyre = 20
#iyrs = 1
iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1
#iyrs = 2
#iyre = 2

#solswitch = false #true のとき単位をsol^-1 にする. デフォルトはfalse.
solswitch = true

#colorswitch = false #true のときKMHF_dのカラーレベルを下げる.
colorswitch = true 

#logswitch = false #true のときカラーバーを一定の間隔にしラベルを全表示. sol and color がtrue の場合は対数表示もする
logswitch = true

#colorcontourswitch = false #true のときカラーコンターのみで描くようにする
colorcontourswitch = true
p vnames.length-1
for ivar in 0..(vnames.length-1)
    
    p 'vname: ' + vnames[ivar]

    system('ruby draw_2D_zm_t.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' '+solswitch.to_s + ' '+ colorswitch.to_s + ' ' + logswitch.to_s + ' ' + colorcontourswitch.to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

    system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
    com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_zm-time"+".gif" )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_zm-time"+".ps"  )
    system(com)
end


