﻿# -*- coding: utf-8 -*-
#
# 2Ls=30度毎に平均した緯度経度図
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
include NumRu

dir = '..'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d', 'SurfMajCompIce','DDAF_d','DTHF_d','Sens','SurfDustGravSedFlux','Eta','SurfTemp','Press_top', 'Ps', 'Tau']
vnames = ['Dust']
#vnames = ['DDAF_d']
#vnames = ['DDAF_d','DTHF_d','Sens','SurfDustGravSedFlux','Eta','SurfTemp','Press_top']
#vnames = ['Sens']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
#vnames = ['SurfWind']
#vnames = ['SurfMajCompIce']
#vnames = ['KMHF_d','NewmanF_d']
figdir = 'figs'
#Dir::mkdir( figdir )


#iyrs = 11
#iyre = 20
iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1

alt_value_switch = false 
# alt_value_switch が true のときは高度の値で指定高度を指定する. alt_value_switch が false の時は高度層番号で指定する

#alt = [12]
alt = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34]
p vnames.length-1
for ivar in 0..(vnames.length-1)
  for imon in 1..12#7..12#1..6#6..12#1..6#
    for alt_num in 0..(alt.length-1)

      p 'vname: ' + vnames[ivar]
      p 'Month: ' + imon.to_s
      p 'alt:   ' + alt_num.to_s

      system('ruby draw_3D_xy.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + imon.to_s+ ' '+alt_value_switch.to_s + ' '+ alt[alt_num].to_s )
      system("pdf2ps dcl.pdf dcl.ps")
      system("rm dcl.pdf")

      if alt_value_switch then
        com = "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_alt-value"+"%0#{2}d"%(alt[alt_num].to_s)+"_3D_mon%0#{2}d"%(imon.to_s)+".gif" 
        system(com)
        com = "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_alt-num"+"%0#{2}d"%(alt[alt_num].to_s)+"_3D_mon%0#{2}d"%(imon.to_s)+".ps"
      else
        com = "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_alt-num"+"%0#{4}d"%(alt[alt_num].to_s)+"_3D_mon%0#{2}d"%(imon.to_s)+".gif"
        system(com)
        com = "mv dcl.ps "+figdir+"/dcl_"+vnames[ivar]+"_alt-num"+"%0#{4}d"%(alt[alt_num].to_s)+"_3D_mon%0#{2}d"%(imon.to_s)+".ps"
      end
      system(com)
    end
end

