#!/usr/bin/ruby
# -*- coding: euc-jp -*-
# =begin
# == 
# 
# ˼ž®, ļǮ͢ [W] Ȥäޤ
# , 絤, , , ι 9 .
#
# == bug
#
# ʣե褦ȤƤ뤬 seqv ˤʤ.
# Τ, ߤǤ 1 Ȥ˽λƤ.
# ɤʣ¹Ԥ뤳.
# 
# == 
# 
# * 2013-11-15          ϵͷ׻Ѥѹ
# * 2011/08/12  Ǽ¿ ů   Omega = 0.799 (0.8 оΤФ) ɲ
# * 2011/04/27  Ǽ¿ ů   
# 
# =end

require "numru/ggraph"
require 'fileutils'
include NumRu

require './load_config.rb'

LatentHeat = 2.5e6

# x ץåȤ
#axis_x_log = true
axis_x_log = false

#read_meant_data = false



DATA_HOME_LOCAL = DATA_HOME  # config.yml ꤵƤǥ쥯ȥ

TMPFILE = "dcl.ps"

TIME_START = 1000
TIME_END = 2000

VAL_MAX =  200
VAL_MIN = -150

WSN = 2
MARK_SIZE = 0.01
YNAME = 'Integrated Heat Flux'
#TITLE = 'Heat Budget'
TITLE = ''

RPlanet =6.371 * 10.0 ** 6    # [m]


vars = [
        {'name'=>'OLRA'},
        {'name'=>'EvapU'},
        {'name'=>'PRCP'},
        {'name'=>'SensA'},
        {'name'=>'OSRA'},
        {'name'=>'SLRA'}
       ]

vars_wt_DtoN = vars.dup   # ñʤȻϤˤʤ뤿
vars_wt_DtoN.push({'name'=>'trans_all'})
vars_wt_DtoN.push({'name'=>'trans_sens'})
vars_wt_DtoN.push({'name'=>'trans_lat'})

#1: 
#2: 
#3: ꥹ
#4: ȴ
#5: Х
#6: ȴ
#7: ȴ
#8: ȴɩ
#9: ȴ
#10: ɤ
#11: ɤ
#12: ɤ
#13: ɤ꺸
#14: ɤ겼
#15: ɤ걦
#16: ɤ
#17: ɤ걦


mark_type = Hash.new
mark_type['OLRA']  = 4
mark_type['PRCP'] = 5
mark_type['EvapU'] = 6
mark_type['SensA'] = 7
mark_type['OSRA']  = 9
mark_type['SLRA']  = 10
mark_type['trans_all']  = 11
mark_type['trans_sens'] = 14
mark_type['trans_lat']  = 16

# Ĥ
index_type = Hash.new
index_type['OLRA']  = 33
index_type['PRCP'] = 43
index_type['EvapU'] = 13
index_type['SensA'] = 13
index_type['OSRA']  = 13
index_type['SLRA']  = 13
index_type['trans_all']  = 3
index_type['trans_sens'] = 23
index_type['trans_lat']  = 43



omegas.delete(0.0) if axis_x_log
#omegas = [0.0, 1.0]
na_omegas = NArray.to_na(omegas)
nomega = omegas.size

flux = Hash.new

flux_all = Hash.new
flux_east = Hash.new
flux_west = Hash.new


# 
#p i
#  if i == 0 then
DCL.uzfact(0.6)
#  end


# ѿǲ
for v in vars

p  var = v['name']

  all  = NArray.sfloat(nomega)
  west = NArray.sfloat(nomega)
  east = NArray.sfloat(nomega)

##  omega ǲ.
  for i in 0..nomega-1

    omega = na_omegas[i]
    p    var.to_s + ' ' + omega.to_s

### ɤ߹
    dir = 'SR_Omega' + omega.to_s
    file = var + '.nc'
    path = File.join(DATA_HOME_LOCAL, dir, file)
    gphys = GPhys::IO.open(path, var)
    if var == 'PRCP' then
       gphys = gphys*LatentHeat
    end

    na_lon = GPhys::IO.open(path, 'lon').val
    na_lat = GPhys::IO.open(path, 'lat').val
    na_lat_weight = GPhys::IO.open(path, 'lat_weight').val
    nlon = na_lon.size
    nlat = na_lat.size

### ʿѤη׻
#### ʿ
    gphys = gphys.cut('time'=>TIME_START..TIME_END).mean('time')

#### ʿ

##### νŤդ.
    gphys = gphys * na_lat_weight.reshape(1, nlat) / na_lat_weight.sum

    all[i] = gphys.mean('lon').sum('lat').val
    west[i] = gphys.cut('lon'=>na_lon[0]..na_lon[nlon/2 -1]).mean('lon').sum('lat').val
    east[i] = gphys.cut('lon'=>na_lon[nlon/2]..na_lon[nlon-1]).mean('lon').sum('lat').val

## check
#    p all - (west + east)/2.0

  end

# ΰʿͤη׻
  case var
  when 'OLRA'
    flux_all[var] = -1.0 * all
    flux_east[var] = -1.0 * east
    flux_west[var] = -1.0 * west
  when 'OSRA'
    flux_all[var] = -1.0 * all
    flux_east[var] = -1.0 * east
    flux_west[var] = -1.0 * west
  when 'EvapU'
    flux_all[var] = -1.0 * all
    flux_east[var] = -1.0 * east
    flux_west[var] = -1.0 * west
  else
    flux_all[var] = all
    flux_east[var] = east
    flux_west[var] = west
  end

end


# 뤫ؤ͢η׻
d2n = Hash.new
d2n['trans_all'] = -1.0 * flux_east['OLRA']
d2n['trans_lat'] =  flux_west['EvapU'] + flux_west['PRCP']
d2n['trans_sens'] = d2n['trans_all'] + d2n['trans_lat']

# ǿޤȤΤ, Ʊ˲
for var in ['trans_all', 'trans_lat', 'trans_sens']
  flux_all[var] = d2n[var]
  flux_east[var] = d2n[var]
  flux_west[var] = -1.0 * d2n[var]
end


flux['all'] = flux_all
flux['east'] = flux_east
flux['west'] = flux_west


## gphys ֥Ȥ
na_omegas_4axis = na_omegas
na_omegas_4axis = NMath::log10( na_omegas ) if axis_x_log
#  (2013-6-14 )  , omega  long_name  Omega/Omega_E
#                    ˤäΤ, ʤޤʤ.
#                    ʤ,  Omega/OmegaE ˤƤ.
tmp_long_name = "Omega/OmegaE"
tmp_long_name = 'log10(' + tmp_long_name + ')' if axis_x_log
va_omega = VArray.new( na_omegas_4axis,
                       {"long_name"=>tmp_long_name},
                       "omega" )
axis_omega = Axis.new.set_pos(va_omega)


# testing
vars_draw = Hash.new

p  draw_types = ['atmos_heat', 'atmos_wat', 'surf_heat', 'trans']
vars_draw['atmos_heat'] = ['OLRA', 'SensA', 'SLRA', 'PRCP', 'trans_sens']
vars_draw['atmos_wat'] = ['PRCP', 'EvapU', 'trans_lat']
vars_draw['surf_heat'] = ['EvapU', 'SensA', 'SLRA', 'OSRA']
vars_draw['trans'] = ['OLRA', 'trans_sens', 'trans_lat']

ary = ['all', 'west', 'east']
for i in 0..ary.size-1

  area = ary[i]

#  epsfn = 'atmos_wat_' + area + '.eps'

#  if File.exist?(epsfn) then
#    puts(epsfn + " exists. process skipped.")
#    next
#  end

  gp = Hash.new
  for v in vars_wt_DtoN
    var = v['name']
    long_name = YNAME
    #units = 'W m-2'
    units = '10^15 W'

    tmp = flux[area][var]
    tmp = 2.0 * Math::PI * (RPlanet **2) *  tmp / (10.0 ** 15)
    if area == 'all' then
      tmp = 2.0 * tmp
    end

    data = VArray.new( tmp,
                       {"long_name"=>long_name, "units"=>units},
                       var )
    gp[var] = GPhys.new( Grid.new(axis_omega), data )

  end



  ## 
  # 

  # testing
  #  DCL.gropn(WSN)

  GGraph.set_fig('viewport'=>[0.3,0.6,0.3,0.5])

  DCL.sgpset('lfull', true)     # ɽ
  DCL.sgpset('lcntl', false)

  # ?
  #  DCL.grfrm

  #GGraph.set_axes('xtickint'=>xlabel_int)
  #GGraph.set_axes('xlabelint'=>xlabel_int)
  #GGraph.set_axes('ytickint'=>ylabel_int)
  #GGraph.set_axes('ylabelint'=>ylabel_int)
    

  #GGraph.line( 'max'=>val_max, 'min'=>val_min )

  # ץΥǥեͤ
  opt = {
    'max'=>VAL_MAX, 'min'=>VAL_MIN,
    'index'=>5, 'size'=>MARK_SIZE,
    'index'=>13,
    'legend'=>false, 'annotate'=>false,
    'title'=>TITLE
  }


  for draw_type in draw_types
p draw_type
    name = draw_type + '_' +  area
    name = name + '_xlog' if axis_x_log
    psfn = name + '.ps'
    epsfn = name + '.eps'

    vars_tmp = vars_draw[draw_type]
#    if area == 'all' then
#p      vars_tmp.delete('trans_all')
#p      vars_tmp.delete('trans_sens')
#p      vars_tmp.delete('trans_lat')
#    end




    # eps ե뤬¸ߤϽλ
    if File.exist?(epsfn) then
      puts("MESSAGE: #{epsfn} have already existed. Skipped.")
      next
    end

    # testing
    DCL.gropn(WSN)

    p draw_type + '_' + area

    for i in 0..vars_tmp.size-1
      v = vars_tmp[i]

      gp_tmp = gp[v]
      if (draw_type == 'surf_heat') and ((v == 'SensA') or (v == 'SLRA')) then
        gp_tmp.val = -1.0 * gp_tmp.val
      elsif (draw_type == 'atmos_wat') then
        gp_tmp.val = -1.0 * gp_tmp.val
      elsif (draw_type == 'atmos_wat') then
        gp_tmp.val = -1.0 * gp_tmp.val
      elsif (draw_type == 'trans') and (v == 'trans_sens') then
        gp_tmp.val = -1.0 * gp_tmp.val
      end
      # (2013-11-16 )
      # ɬפʤϤ....
#      if (draw_type == 'atmos_heat') and (v == 'trans_sens') then
#        gp_tmp.val = -1.0 * gp_tmp.val
#      end

      p gp_tmp.val 


      if not area == 'all' or not v.include?('trans') then
p area + " " + v
        opt['type'] = mark_type[v].to_i
        opt['index'] = index_type[v].to_i
        if i == 0 then
          GGraph.mark( gp_tmp, true, opt )
        else
          GGraph.mark( gp_tmp, false, opt )
        end
      end

    end


  # ps եν
  # remove extra space of ps file
    if WSN == 2 then
      if File.exist?(TMPFILE) then

# debug
        DCL.grcls
#        DCL.grfrm
#        DCL.grfig

        FileUtils.mv(TMPFILE, psfn)
        puts("MESSAGE: after processing ... #{epsfn} will be generate.")
        `dclpsrmcm #{psfn} | dclpsrot | dclpsmargin > #{epsfn}`
        File.delete(psfn)
# testing
        exit
      end
    end


  end

end

# debug
#  DCL.grcls

exit(0)

